=== debian/control ===
Source: restund
Section: comm
Priority: optional
Maintainer: Alfred E. Heggestad <aeh@db.org>
Standards-Version: 3.9.5
Build-Depends: debhelper (>= 9.20120311), libre-dev (>= 0.4.11)
Homepage: http://www.creytiv.com/

Package: restund
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libre (>= 0.4.11)
Description: Modular STUN/TURN Server
 Restund is a modular and flexible STUN and TURN Server,
 with IPv4 and IPv6 support.
 .
 The server is designed around the principle of a lightweight core
 using server modules to extend its functionality.
 .
 Some of the modules supported:
 .
  Authentication module
  Binding module
  MySQL module
  Statistics module
  Status module
  Syslog module
  TURN module
